Markieren Sie das Kontrollkästchen Englisch, um die englische Version dieses Artikels anzuzeigen. Sie können den englischen Text auch in einem Popup-Fenster einblenden, indem Sie den Mauszeiger über den Text bewegen.
Übersetzung
Englisch
Diese Dokumentation wurde archiviert und wird nicht länger gepflegt.

IDispatchImplType-Enumeration

Hinweis: Diese API ist mittlerweile veraltet.

Gibt an, welche IDispatch-Implementierung für eine bestimmte Klasse verwendet werden soll.

Namespace:  System.Runtime.InteropServices
Assembly:  mscorlib (in mscorlib.dll)

[SerializableAttribute]
[ObsoleteAttribute("The IDispatchImplAttribute is deprecated.", false)]
[ComVisibleAttribute(true)]
public enum IDispatchImplType

MembernameBeschreibung
SystemDefinedImplGibt an, dass durch die Common Language Runtime bestimmt wird, welche IDispatch-Implementierung verwendet werden soll.
InternalImplGibt an, dass die IDispatch-Implementierung durch die Laufzeit bereitgestellt wird.
CompatibleImplGibt an, dass die IDispatch-Implementierung durch Übergabe der Typinformationen für das Objekt an die CreateStdDispatch-API-Methode von COM bereitgestellt wird.

Weitere Informationen finden Sie unter IDispatchImplAttribute.

.NET Framework

Unterstützt in: 1.1, 1.0
Veraltet (Compilerwarnung) in 4
Veraltet (Compilerwarnung) in 3.5
Veraltet (Compilerwarnung) in 3.5 SP1
Veraltet (Compilerwarnung) in 3.0
Veraltet (Compilerwarnung) in 3.0 SP1
Veraltet (Compilerwarnung) in 3.0 SP2
Veraltet (Compilerwarnung) in 2.0
Veraltet (Compilerwarnung) in 2.0 SP1
Veraltet (Compilerwarnung) in 2.0 SP2

.NET Framework Client Profile

Veraltet (Compilerwarnung) in 4
Veraltet (Compilerwarnung) in 3.5 SP1

Windows 7, Windows Vista SP1 oder höher, Windows XP SP3, Windows XP SP2 x64 Edition, Windows Server 2008 (Server Core wird nicht unterstützt), Windows Server 2008 R2 (Server Core wird mit SP1 oder höher unterstützt), Windows Server 2003 SP2

.NET Framework unterstützt nicht alle Versionen sämtlicher Plattformen. Eine Liste der unterstützten Versionen finden Sie unter Systemanforderungen für .NET Framework.
Anzeigen: